class Admin::UsersController < ApplicationController
  before_action :authorize!
  before_action :set_user, only: [ :show, :edit ]

  def index
    @users = User.all.order(:lastname, :firstname)
    @pagy, @records = pagy(@users, limit: 20)
  end

  def edit
  end

  def show
  end

  def new
  end

  def create
  end

  def update
  end

  private

  def set_user
    @user = User.find(params[:id])
  end
end
